Subject: Re: [bug#40659] gnu: transmission: Fix icons for GUI. (v2)

From: Leo Famulari <[email-masked]>
Date: Sun, 26 Apr 2020 20:32:24 -0400

On Thu, Apr 16, 2020 at 02:24:19PM -0400, Raghav Gururajan wrote:
> I understand.  I think icons should be added as dependencies, when the program
> is looking for a 'specific' icon theme. If the situation is like, the program
> accepts any user-chosen/user-installed icon theme, then I think icons should
> not be added as dependency. But here, transmission is hard-coded to use adwaita
> icons. So it is a required dependecy and not optional dependency. :-)

I don't think that non-functional data (such as icons and fonts) should
be made dependencies of other packages unless necessary. Instead, they
should be installed alongside packages by users or system-level services
as on Guix System.